<?php

use App\Entity\Tpl\TplDocument;
use Illuminate\Database\Seeder;

class TplDocumentSeeder extends Seeder
{
    public function run()
    {
        TplDocument::query()->delete();
        $data = json_decode(file_get_contents('TplDocument.json'), 1);
        foreach ($data as $datum){
            foreach ($datum['translations'] as $translation){
                $datum[$translation['locale']] = [
                    'content'=>$translation['content'],
                ];
            }
            unset($datum['translations']);
            TplDocument::create($datum);
        }

        /*
        \App\Entity\Tpl\TplDocument::create(
            [
                'title' => 'Договор трейдера',
                'ru' => [
                    'content' => '<h2>СРОЧНЫЙ ДОГОВОР ПОКУПКИ И ХРАНЕНИЯ ВИРТУАЛЬНОЙ ВАЛЮТЫ</h2> <p>Настоящий договор (далее &ndash; Договор) заключается между ASSETS HUB O&Uuml; (далее &ndash; Поставщик услуг) и физическим или юридическим лицом (далее &ndash; Клиент). Целью Договора является определить условия, на которых Клиенту предоставляются возможности покупки виртуальной валюты по заранее установленному курсу и ее хранение в течение срока действия Договора, а также распоряжение виртуальной валютой Клиента при прекращении Договора.</p> <h2>СПЕЦИАЛЬНЫЕ УСЛОВИЯ</h2> <p>Настоящие специальные условия (далее по тексту &ndash; специальные условия) являются неотъемлемой частью договора и могут рассматриваться исключительно в соответствии с остальными условиями Договора.</p> <table border="1" cellpadding="1" cellspacing="1"> <tbody> <tr> <td>1. Данные Поставщика услуг</td> <td>наименование компании: ASSETS HUB O&Uuml;; страна регистрации компании: Эстония код регистра: 16047251; адрес: Harju maakond, Tallinn, Kesklinna linnaosa, Vesiv&auml;rava tn 50-201, 10152; адрес эл. почты:</td> </tr> <tr> <td>2. Данные Клиента</td> <td> <p>{{fio}}</p> <p>{{address}}</p> <p>{{email}}</p> </td> </tr> <tr> <td>3. Срок договора</td> <td>{{period}} месяцев</td> </tr> <tr> <td>4. Наименование продаваемой виртуальной валюты</td> <td>{{asset}}</td> </tr> <tr> <td>5. Сумма договора</td> <td>{{amount}} EUR</td> </tr> <tr> <td>6. Объем покупаемой виртуальной валюты в рамках и курс при покупке</td> <td>{{amount_asset}}</td> </tr> <tr> <td>7. День покупки виртуальной валюты</td> <td>{{day_pay}}</td> </tr> <tr> <td>8. Комиссия Поставщика услуг %</td> <td>6%</td> </tr> <tr> <td>9. Комиссия Поставщика услуг EUR</td> <td>{{commision}}</td> </tr> <tr> <td>10. Автоматическая покупка</td> <td>Да</td> </tr> <tr> <td>11. Ежемесячный выкуп EUR</td> <td>{{month_pay}}</td> </tr> <tr> <td>12. Первый платеж при заключении договора</td> <td>{{first_pay}}</td> </tr> </tbody> </table> <p>&nbsp;</p>'
                ],
                'en' => [
                    'content' => '<h2>СРОЧНЫЙ ДОГОВОР ПОКУПКИ И ХРАНЕНИЯ ВИРТУАЛЬНОЙ ВАЛЮТЫ</h2> <p>Настоящий договор (далее &ndash; Договор) заключается между ASSETS HUB O&Uuml; (далее &ndash; Поставщик услуг) и физическим или юридическим лицом (далее &ndash; Клиент). Целью Договора является определить условия, на которых Клиенту предоставляются возможности покупки виртуальной валюты по заранее установленному курсу и ее хранение в течение срока действия Договора, а также распоряжение виртуальной валютой Клиента при прекращении Договора.</p> <h2>СПЕЦИАЛЬНЫЕ УСЛОВИЯ</h2> <p>Настоящие специальные условия (далее по тексту &ndash; специальные условия) являются неотъемлемой частью договора и могут рассматриваться исключительно в соответствии с остальными условиями Договора.</p> <table border="1" cellpadding="1" cellspacing="1"> <tbody> <tr> <td>1. Данные Поставщика услуг</td> <td>наименование компании: ASSETS HUB O&Uuml;; страна регистрации компании: Эстония код регистра: 16047251; адрес: Harju maakond, Tallinn, Kesklinna linnaosa, Vesiv&auml;rava tn 50-201, 10152; адрес эл. почты:</td> </tr> <tr> <td>2. Данные Клиента</td> <td> <p>{{fio}}</p> <p>{{address}}</p> <p>{{email}}</p> </td> </tr> <tr> <td>3. Срок договора</td> <td>{{period}} месяцев</td> </tr> <tr> <td>4. Наименование продаваемой виртуальной валюты</td> <td>{{asset}}</td> </tr> <tr> <td>5. Сумма договора</td> <td>{{amount}} EUR</td> </tr> <tr> <td>6. Объем покупаемой виртуальной валюты в рамках и курс при покупке</td> <td>{{amount_asset}}</td> </tr> <tr> <td>7. День покупки виртуальной валюты</td> <td>{{day_pay}}</td> </tr> <tr> <td>8. Комиссия Поставщика услуг %</td> <td>6%</td> </tr> <tr> <td>9. Комиссия Поставщика услуг EUR</td> <td>{{commision}}</td> </tr> <tr> <td>10. Автоматическая покупка</td> <td>Да</td> </tr> <tr> <td>11. Ежемесячный выкуп EUR</td> <td>{{month_pay}}</td> </tr> <tr> <td>12. Первый платеж при заключении договора</td> <td>{{first_pay}}</td> </tr> </tbody> </table> <p>&nbsp;</p>'
                ],
            ]
        );
        */
    }
}
